MAXScript Extensions > MAXScript Extensions for Particle Flow > Particle Flow Classes > Tests >

# Spawn : Helper

    Spawn - superclass: helper super-superclass:node - classID: #(1962490882, 515064320)

Value > MAXWrapper > Node > Helper > Spawn

| Particle Flow - Quick Navigation

Description:

Spawn creates new particles from existing ones. Each spawned particle is born at the same location as its parent, and has the same orientation and shape. Spawn can give the spawned particles a different speed and scaling factor. If you wire the Spawn test to another event, spawned particles are sent to that event, where you can specify different properties for the new particles.

Constructor:

    Spawn...

Properties:

    <Spawn>.Spawn_Type Integer default:0

Controls the state of the radio buttons in the UI. Use these settings to specify how often particles are to spawn, the measurement system to use, and other values related to how many particles are spawned.

0: Once - Particles spawn one time only. For each existing particle, one new one is born.

1: Per Second - Lets you specify a number of particles to spawn every second. For example, if you use the default Rate setting of 10.0, at 30 fps a new particle is born every three frames.

2: By Travel Distance - Lets you spawn new particles at regular intervals over the path of a moving parent particle.

    <Spawn>.Delete_Parent Boolean default:false

When on, deletes each original particle from which a new one is spawned. Available only with the Once option.

    <Spawn>.Spawn_Rate Float default:10.0

The number of particles to spawn per second. Available only with the Per Second option.

    <Spawn>.Spawn_Step_Size Float default:1.0 --world units

The system spawns a new particle every time the parent moves this distance, in system units.

    <Spawn>.Spawn_Able Float default:100.0 --percentage

The percentage of particles in the current event that will spawn new particles. This is determined once for each particle, when it enters the event. However, the parameter is animatable.

    <Spawn>.Number_of_Offsprings Integer default:1

The number of new particles the system creates from each parent particle for each spawning event

    <Spawn>.Variation Float default:0.0 --percentage

The amount by which the Offspring # value can vary randomly

    <Spawn>.Sync_Type Integer default:0

Choose the time frame to use when animating .Spawn_Rate , .Spawn_Step_Size , .Number_of_Offsprings and Variation:

0: Absolute Time - Any keys set for parameters are applied at the actual frames for which they're set.

1: Particle Age - Any keys set for parameters are applied at the corresponding frames of each particle's existence.

2: Event Duration - Any keys set for parameters are applied to each particle starting when it first enters the event.

    <Spawn>.Restart_Particle_Age Boolean default:true

When on, sets the age of each newly spawned particle at 0. When off, each spawned particle inherits its parent's age.

    <Spawn>.Speed_Type Integer default:1

Controls the state of the Speed group radio buttons in the UI.

Possible values are:

0: In Units - Choose this to specify the speed of spawned particles in system units per second. A positive value inherits the parent's direction; a negative value reverses it.

1: Inherited - Choose this to specify each spawned particle's speed as a percentage of its parent's speed. A positive value inherits the parent's direction; a negative value reverses it.

    <Spawn>.Speed Float default:100.0 --world units

Get/set the value used when .Speed_Type is set to 0 : In Units.

    <Spawn>.Speed_Inherited Float default:100.0 --percentage

Get/set the value used when .Speed_Type is set to 1 : Inherited.

    <Spawn>.Variation Float default:0.0 --percentage

Get/set the amount by which a spawned particle's speed can vary randomly.

    <Spawn>.Divergence Float default:20.0 --angle;

When set to true , spreads out the stream of spawned particles. Defines the extent of the divergence in degrees. Range is from 0 to 180.

    <Spawn>.Scale_Factor Float default:100.0 --percentage

Get/set the amount of uniform scaling to apply to each spawned particle, as a percentage of its parent's size

    <Spawn>.Variation Float default:0.0 --percentage

Get/set the amount by which a spawned particle's scale can vary randomly.

    <Spawn>.Random_Seed Integer default:12345

Specifies a randomization value.

## Spawn Interfaces:

Interface: action

Interface: PViewItem

Interface: test

#### See Also

- Particle Flow Classes